# Class BoundingMesh

#### Hierarchy (View Summary)

- PBMMesh
  - BoundingMesh

- Defined in lib/five/meshes/boundingMesh.ts:19

##### Index

### Constructors

constructor

### Methods

dispose
update

## Constructors

### constructor

- new BoundingMesh(options?: { name?: string }): BoundingMesh

  #### Parameters

  - options: { name?: string } = {}

  #### Returns BoundingMesh

  Overrides PBMMesh.constructor

  - Defined in lib/five/meshes/boundingMesh.ts:23

## Methods

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/meshes/boundingMesh.ts:128

### update

- update(renderer: WebGLRenderer, camera: Camera, modelScene: ModelScene): boolean

  #### Parameters

  - renderer: WebGLRenderer
  - camera: Camera
  - modelScene: ModelScene

  #### Returns boolean

  - Defined in lib/five/meshes/boundingMesh.ts:46